Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.web.endpoint
Class EndPointRequest

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.jboss.portal.web.impl.AbstractWebRequest
                  org.jboss.portal.web.endpoint.EndPointRequest

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest, WebRequest

    public class EndPointRequest

extends AbstractWebRequest

Version:
  $Revision: 630 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.portal.web.WebRequest
`WebRequest.Verb`

Field Summary

Fields inherited from class org.jboss.portal.web.impl.AbstractWebRequest
`APPLICATION_X_WWW_FORM_URLENCODED_MEDIA_TYPE, MULTIPART_FORM_DATA_MEDIA_TYPE, UTF_8_CHARSET`

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`EndPointRequest(javax.servlet.http.HttpServletRequest req, java.lang.String webRequestPath, java.lang.String webContextPath, int mappingType)`

Method Summary
`int` | `getMappingType()`
`java.lang.String` | `getWebContextPath()` Returns the web context path.
`java.lang.String` | `getWebRequestPath()` Returns the web request path which is a consistent value and does not depend on the kind of mapping of the underlying servlet.

Methods inherited from class org.jboss.portal.web.impl.AbstractWebRequest
`getBody, getBodyParameter, getBodyParameterValues, getMediaType, getQueryParameter, getQueryParameterMap, getQueryParameterValues, getVerb`

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper
`getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from class javax.servlet.ServletRequestWrapper
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.http.HttpServletRequest
`getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from interface javax.servlet.ServletRequest
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

Constructor Detail

### EndPointRequest

    public EndPointRequest(javax.servlet.http.HttpServletRequest req,
                           java.lang.String webRequestPath,
                           java.lang.String webContextPath,
                           int mappingType)
                    throws java.io.UnsupportedEncodingException,
                           IllegalRequestException

Throws:
  `java.io.UnsupportedEncodingException`
  `IllegalRequestException`

Method Detail

### getWebRequestPath

    public java.lang.String getWebRequestPath()

  Description copied from interface: `WebRequest`
  Returns the web request path which is a consistent value and does not depend on the kind of mapping of the underlying servlet. It is never null and always start with a '/' char.

  Returns:
    the web request path

### getWebContextPath

    public java.lang.String getWebContextPath()

  Description copied from interface: `WebRequest`
  Returns the web context path. The web context path value is computed such as the value returned by the method `HttpServletRequest.getRequestURI()` is a prefix of the concatenation of the web context path and the web request path.

  Returns:
    the web context path

### getMappingType

    public int getMappingType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.